$expand-width: 20px
$subTable-decoration-color: var(--palette-primary-dark)
$subTable-decoration-color-contrastText: var(--palette-background-dark)
$subTable-header-footer-background: var(--palette-primary-light)
.container
    display: flex
    flex-direction: column
    height: 100%
    .header
        flex: 1 auto
        box-sizing: border-box
        transition: padding-right 1s
        table
            border-collapse: collapse
            width: 100%
    th
        padding: 5px 4px
        background-color: var(--palette-primary-main)
        color: $subTable-decoration-color
        box-sizing: border-box
        &.expand
            width: $expand-width
            border-right: 0px
        div
            position: relative
            display: flex
            padding: 0px min(30%, 2px)
            a
                color: var(--palette-primary-contrastText) !important
                flex: 1 auto
                overflow-x: hidden
                text-overflow: ellipsis
            span
                flex: 1000 1px
                padding: 0px 4px 0px 8px
                position: relative
                svg
                    transform: scale(0.6)
                    position: absolute
                    left: 0px
                    top: -2px
        &.selected
            background-color: var(--palette-secondary-dark) !important
            div
                a
                    color: var(--palette-primary-contrastText) !important
            svg
                color: var(--palette-primary-contrastText) !important
    &.scrolling
        .header
            padding-right: var(--scroll-bar-width)               
    .body    
        flex: 100 auto
        overflow-y: auto
        box-sizing: border-box
        table
            width: 100%
            border-collapse: collapse
            box-sizing: border-box
    tbody tr
        box-sizing: border-box
        &.rowClickable
            cursor: pointer
        &.odd
            background-color: var(--palette-background-light)
            .selected
                background-color: var(--palette-secondary-main)
                border-color: var(--palette-secondary-main)
        &.even
            background-color: transparent        
        td
            padding: 2px 4px
            border-right: 1px solid var(--palette-primary-light)
            border-bottom: 1px solid var(--palette-primary-light)
            box-sizing: border-box
            word-break: break-all
            &.expand
                padding-left: 0px
                padding-right: 0px
                width: $expand-width
                background-color: white
                border: none
                span
                    position: relative
                    width: $expand-width
                    display: flex
                    align-items: center
                    transition: opacity 1s
                    svg
                        margin: -4px 0
                        position: relative
                        left: -2px
                        color: var(--palette-primary-dark)
                    &.fading
                        opacity: 0        
            &.selected
                border-color: var(--palette-secondary-main)
                background-color: var(--palette-secondary-light)
        .extendedTd
            border: none 
            padding: 0px  
            .collapseRow
                cursor: pointer
                transition: opacity 1s
                svg
                    position: relative
                    left: -4px
                    color: var(--palette-primary-dark)
                &.fading
                    opacity: 0    
            >div
                position: relative
                overflow-y: hidden
                width: 100%
                z-index: 100
                transition: height 1s
                .embeddedObject
                    position: absolute
                    bottom: 0px
                    left: 20px
                    right: 0
                    .subTableTitle
                        background-color: $subTable-decoration-color
                        padding: 0px 6px
                        color: $subTable-decoration-color-contrastText
                    .emptySubTable
                        display: block
                        text-align: center
                        font-style: italic
                        color: var(--palette-primary-light)
    .footer
        flex: 10000 auto
        width: 100%
    &.resizing
        .body, .footer
            opacity: 0.2
    .paginator
        padding: 2px 0px 
        background-color: var(--palette-primary-main)
        color: var(--palette-primary-contrastText)
        padding: 0px 10px
        text-align: center
        display: flex
        align-items: center
        .leftPaginator, .rightPaginator
            svg
                color: var(--palette-primary-contrastText)
        .leftPaginator
            display: flex
            flex: 1 auto   
        .middlePaginator
            display: flex
            flex: 1000 auto
        .rightPaginator
            display: flex
            flex: 10000 auto        
        > span
            font-size: 20px
            font-weight: bold
            margin: 0px 20px 0px 30px
            position: relative
            top: -4px
        .link
            margin: 0px 2px
            display: inline-block
            min-width: 34px
            svg
                position: relative
                top: 2px
            &.selected
                a
                    background-color: var(--palette-primary-dark)
                    border-radius: 20px
            a
                padding: 3px 6px
                font-size: 14px
                color: var(--palette-primary-contrastText)
            &.disabled
                pointer-events: none
                svg
                    opacity: 0.2    
            & + .link
                border-left: 1px solid var(--palette-primary-contrastText)  
            &.noBorder
                padding-left: 0
                border-left: none
            &.lastRegular
                padding-right: 10px
                border-right: 1px solid var(--palette-primary-contrastText)       
    &.flow
        height: auto
        display: block
        >table
            width: 100%
            border-collapse: collapse
        .flowLoading
            width: 100%
            position: relative
    &.absolute
        height: calc(100% - 3px)
        table
            border-collapse: collapse
        box-sizing: border-box
    &.subTable
        width: 100%
        border-color: var(--palette-primary-dark)
        border-width: 5px 0px 5px 0px
        border-bottom-style: solid
        border-left-style: solid
        &.hasFooter
            //border-bottom-style: none
        th, .paginator
            background-color: $subTable-header-footer-background
            padding-top: 2px
            padding-bottom: 2px
            font-size: 0.8em !important
        th
            div
                a
                    color: $subTable-decoration-color !important
            &.selected
                div
                    a
                        color: var(--palette-primary-contrastText) !important        
            svg
                top: -5px  

        .paginator
            color: white  
            .link
                max-height: 15px
                svg
                    top: -5px
                    transform: scale(0.8) !important
                    color: $subTable-decoration-color !important 
                a
                    font-size: 0.7em !important
                    padding: 1px 4px
                    color: $subTable-decoration-color
                & + .link
                    border-color: $subTable-decoration-color  
                &.disabled
                    svg
                        color: $subTable-decoration-color  !important        
            .selected
                a
                    background-color: $subTable-decoration-color 
                    color: $subTable-decoration-color-contrastText    
    &.supressScrolling
        .body
            overflow-y: hidden    
        